package com.wecloud.im.sdk;

import java.net.URI;

import com.wecloud.im.sdk.model.GetSignParam;
import com.wecloud.im.sdk.model.ImClient;
import com.wecloud.im.sdk.model.ImFriend;
import com.wecloud.im.sdk.model.ImTokenVerify;
import com.wecloud.im.sdk.model.Token;

/**
 *
 * @Author luozh
 * @Date 2022年04月13日 11:23:24
 * @Version 1.0
 */
public class WecloudImClient implements WecloudIm {

    private URI endpoint;

    private String appKey;

    private String appSecret;

    public WecloudImClient(URI endpoint, String appKey, String appSecret) {
        this.endpoint = endpoint;
        this.appKey = appKey;
        this.appSecret = appSecret;
    }

    @Override
    public String sign(GetSignParam signParam) {
        return null;
    }

    @Override
    public Token token(ImTokenVerify tokenVerify) {
        return null;
    }

    @Override
    public ImClient getUserClient(Long userId) {
        return null;
    }

    @Override
    public Boolean createClient(Long userId, String headPortrait, String nickname, Integer deviceType) {
        return null;
    }

    @Override
    public ImFriend getFriendInfo(Long clientId, Long userId) {
        return null;
    }

    @Override
    public Boolean updateHeadPortrait(Long clientId, String headPortrait) {
        return null;
    }

    @Override
    public Boolean updateNickname(Long clientId, String nickname) {
        return null;
    }
}
